package com.bonus.canteen.core.account.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

@TableName("acc_card_code_bind_hist")
public class AccCardCodeBindHist implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId
   private Long id;
   private Long bindId;
   private String cardCodeNum;
   private String serialNum;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   private String crby;
   private Date crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   private String upby;
   private Date uptime;

   public Long getId() {
      return this.id;
   }

   public Long getBindId() {
      return this.bindId;
   }

   public String getCardCodeNum() {
      return this.cardCodeNum;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public String getCrby() {
      return this.crby;
   }

   public Date getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public Date getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setBindId(final Long bindId) {
      this.bindId = bindId;
   }

   public void setCardCodeNum(final String cardCodeNum) {
      this.cardCodeNum = cardCodeNum;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final Date crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final Date uptime) {
      this.uptime = uptime;
   }


}
